--- /dev/null
+#!/bin/sh
+
+. ./tests/lib/test-setup.sh
+
+foo_setup
+
+python3 ./pinch.py pin "$conf"
+
+cat >> "$conf" <<EOF
+[bar]
+git_repo = file://$repo
+git_ref = master
+EOF
+
+grep . "$conf"
+
+if python3 ./pinch.py update --dry-run "$conf";then
+ echo "FAIL: Update on an unpinned file should fail"
+ exit 1
+else
+ echo PASS
+fi
--- /dev/null
+#!/bin/sh
+
+. ./tests/lib/test-setup.sh
+
+foo_setup
+
+if python3 ./pinch.py update --dry-run "$conf";then
+ echo "FAIL: Update on an unpinned file should fail"
+ exit 1
+else
+ echo PASS
+fi